<?php
/**
 * Kirki Advanced Customizer
 * This is a sample configuration file to demonstrate all fields & capabilities.
 * @package texas
 */
// Early exit if Kirki is not installed
 //require ( trailingslashit( get_template_directory() ) . 'custom/section/inc.php' ); 
 
 $imagepath =  get_template_directory_uri() . '/custom/images/'; 
 //get_template_part('/custom/kirki/kirki');
 
  if ( !class_exists( 'Kirki' ) ) {
	return;
  }
  

  Kirki::add_config( 'texas_settings', array(
  	'capability'	 => 'edit_theme_options',
  	'option_type'	 => 'theme_mod',
  ) );
  
//==========themes color ==========
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'theme_color_select',
	'label'       => __( 'Theme Color Select', 'texas' ),
	'section'     => 'colors',
	'default'     => 'blue',
	'priority'    => 10,
	'choices'     => array(
		/*'red'   => esc_attr__( 'Red', 'texas' ),
		'green' => esc_attr__( 'Green', 'texas' ),*/
		'blue'  => esc_attr__( 'Blue', 'texas' ),
		'custom'  => esc_attr__( 'Custom', 'texas' ),		
	),
  ) );

  Kirki::add_field( 'texas_settings', array(
	'type'        => 'color',
	'settings'    => 'theme_color_blue',
	'label'       => __( 'Blue - Theme Color', 'texas' ),
	'section'     => 'colors',
	'default'     => '#0066ff',
	'priority'    => 10,
	 'output'      => array(
		array(
			'element'  => '.theme-color,a:hover,.topbar-social-link .fa-link-wrap a:hover,.nav-wrap ul.menu > li.menu-item-has-children:hover:after,#search-toggle a.search-icon:hover, #search-toggle a.search-icon:focus,.mobile-nav-ico,section.ct_section_2 .feature_content_image a:hover i,.service_content_image a i.fa,.ct_team_bookmarks a,.ct_price_box,.ct_pricing_best .ct_pricing_plan i.fa,.ct_pricing_plan,.ct_panel_grid:hover .bttn,.post_readmore_bttn,.tool-content-2 ul li i.fa,#footer a:hover,.service_content_image a:hover i.fa,.breadcrumb a:hover,.comment-reply-link, .form-submit input,.comment-reply-link,#gotoTop,.content-area .tags a',
			'property' => 'color',

		),
		array(
			'element'  => '.theme-border-color,.nav-wrap ul li:hover > ul,section.ct_section_2 .feature_content_image a i,.ct_team_bookmarks a,.ct_panel_grid,.bttn,.post_readmore_bttn,.content-area h1#p-title,.comment-reply-link, .form-submit input,body .main-body #searchform,.page-nav-default span.current,#gotoTop',
			'property' => 'border-color',
		),
		array(
			'element'  => '.theme-background-color,.fhr,section.ct_section_2 .feature_content_image a i,.ct_team_bookmarks a:hover,.bttn,.bttn:focus,.bttn:hover,.bttn:active,.ct_panel_grid:hover,.post_readmore_bttn:hover,.post_readmore_bttn:active,.ct_tool_row hr,body .main-body #searchform #searchsubmit,.page-nav-default span.current,#gotoTop.hover',
			'property' => 'background-color',
		),
	 ), 	
	'required'	 => array(
		  array(
			  'setting'	 => 'theme_color_select',
			  'operator'	 => '==',
			  'value'		 => 'blue',
		  ),
    )	
	

  ) );
//==========themes color end ==========  
  
//==========Theme Option ==========
  Kirki::add_section( 'theme_option', array(
  	'title'		 => __( 'Theme Option', 'texas' ),
  	'priority'	 => 10,
  ) );
  
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_section_header_menu',
	'label'			 => __( 'Enable the homepage section header menu', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 0,
	'priority'		 => 10,
  ) );
  
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_section_header_search',
	'label'			 => __( 'Enable Header Search', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 1,
	'priority'		 => 10,
  ) );  
  
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_breadcrumb_check',
	'label'			 => __( 'Enable the Breadcrumb Nav', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 1,
	'priority'		 => 10,
  ) );
  
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_return_top',
	'label'			 => __( 'Enable Return Top', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 1,
	'priority'		 => 10,
  ) );  
  
  
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'radio-image',
	'settings'    => 'siderbar_layout',
	'label'       => esc_html__( 'Siderbar Layout', 'texas' ),
	'section'     => 'theme_option',
	'default'     => 'right-sidebar',
	'priority'    => 10,
	'choices'     => array(
		'left-sidebar' => get_template_directory_uri() . '/images/left-sidebar.png',
		'no-sidebar'  => get_template_directory_uri() . '/images/no-sidebar.png',	
		'right-sidebar'   => get_template_directory_uri() . '/images/right-sidebar.png',

	),
  ) );
  
  
  
if (class_exists('Woocommerce')) { 

  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_woocommerce_siderbar',
	'label'			 => __( 'Enable Woocommerce Siderbar', 'texas' ),
	//'description'	 => __( 'Enable the Topbar', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 0,
	'priority'		 => 10,
  ) );  

} 
  
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable_loader',
	'label'			 => __( 'Enable Loader', 'texas' ),
	'section'		 => 'theme_option',
	'default'		 => 0,
	'priority'		 => 10,
  ) ); 


  Kirki::add_field( 'texas_settings', array(
	'type'        => 'code',
	'settings'    => 'footer_code',
	'label'       => __( 'Footer Copyright', 'texas' ),
	'section'     => 'theme_option',
	'default'     => '&copy; 2017 <a href="#">example.com</a>. ',
	'priority'    => 10,
	'choices'     => array(
		'language' => 'html',
		'theme'    => 'texas',
		'height'   => 66,
	),
  ) );

//==========Theme Option end==========

//==========topbar ==========
  Kirki::add_section( 'topbar_setting', array(
  	'title'		 => __( 'Topbar Setting', 'texas' ),
  	//'panel'		 => 'topbar',
  	'priority'	 => 10,
  ) );

  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'switch', //toggle
	'settings'		 => 'enable-topbar-check',
	'label'			 => __( 'Enable the Topbar', 'texas' ),
	//'description'	 => __( 'Enable the Topbar', 'texas' ),
	'section'		 => 'topbar_setting',
	'default'		 => 1,
	'priority'		 => 10,
  ) );

  Kirki::add_field( 'texas_settings', array(
	'type'     => 'text',
	'settings' => 'ct_phone_number',
	'label'    => __( 'Phone Number', 'texas' ),
	'section'  => 'topbar_setting',
	'default'  => esc_attr__( '0-12345678', 'texas' ),
	'priority' => 10,
  ) );  
  
  
   Kirki::add_field( 'texas_settings', array(
	'type'     => 'text',
	'settings' => 'ct_email',
	'label'    => __( 'Email', 'texas' ),
	'section'  => 'topbar_setting',
	'default'  => get_bloginfo( 'admin_email'),
	'priority' => 10,
  ) );  
  
  //==========Social Icons==========
  Kirki::add_field( 'texas_settings', array(
	'type'			 => 'toggle',
	'settings'		 => 'texas_socials',
	'label'			 => __( 'Social Icons', 'texas' ),
	'description'	 => __( 'Enable or Disable the social icons', 'texas' ),
	'section'		 => 'topbar_setting',
	'default'		 => 1,
	'priority'		 => 10,
  ) );
  $s_social_links = array(
	'ct_social_facebook'	 => __( 'Facebook', 'texas' ),
	'ct_social_twitter'	 => __( 'Twitter', 'texas' ),
	'ct_social_google'		 => __( 'Google-Plus', 'texas' ),
	'ct_social_youtube'	 => __( 'YouTube', 'texas' ),	
	'ct_social_instagram'	 => __( 'Instagram', 'texas' ),
	'ct_social_pin'		 => __( 'Pinterest', 'texas' ),
	'ct_social_reddit'		 => __( 'Reddit', 'texas' ),
  );
  
  $s_social_links_default = array(
	__( '#Facebook', 'texas' ),
	__( '#Twitter', 'texas' ),
	__( '#Google-Plus', 'texas' ),
	__( '#YouTube', 'texas' ),
	'',
	'',
	'',
  ); 

  $kk=0;
  foreach ( $s_social_links as $keys => $values ) {
	Kirki::add_field( 'texas_settings', array(
		'type'			 => 'text',
		'settings'		 => $keys,
		'label'			 => $values,
		'description'	 => sprintf( __( 'Insert your custom link to show the %s icon.', 'texas' ), $values ),
		'help'			 => __( 'Leave blank to hide icon.', 'texas' ),
		'section'		 => 'topbar_setting',
		'default'		 => $s_social_links_default[$kk],
		'priority'		 => 10,
	) );
	$kk++;
  }
  
  //==========Social Icons end==========


//==========topbar end==========


//==========homepage ==========
  Kirki::add_panel( 'homepage', array(
  	'priority'	 => 10,
  	'title'		 => __( 'Fearute Homepage Settings', 'texas' ),
    'description'	 => __( 'Homepage options for Texas theme', 'texas' ),
  ) );
  
// Homepage Layout
  //homepage section setting   
  Kirki::add_section( 'homepage_layout', array(
  	'title'		 => __( 'Homepage Layout', 'texas' ),
  	'panel'		 => 'homepage',
  	'priority'	 => 10,
  ) );

  Kirki::add_section( 'slider_section', array(
  	'title'		 => __( 'Slider Settings', 'texas' ),
  	'panel'		 => 'homepage',
  	'priority'	 => 10,
  ) );

  
  Kirki::add_section( 'blog_section', array(
  	'title'		 => __( 'Blog Post Settings', 'texas' ),
  	'panel'		 => 'homepage',
  	'priority'	 => 10,
  ) );

  
  Kirki::add_section( 'tool_section', array(
  	'title'		 => __( 'Widget Tool Settings', 'texas' ),
  	'panel'		 => 'homepage',
  	'priority'	 => 10,
  ) );  


  Kirki::add_field( 'texas_settings', array(
  	'type'				 => 'custom',
  	'settings'			 => 'front_page_info',
  	'label'				 => __( 'Switch "Front page displays" to "A static page"', 'texas' ),
  	'section'			 => 'homepage_layout',
  	'description'		 => sprintf( __( 'Your homepage is not static page. In order to set up the home page as shown in the official demo on our website (one page front page with sections), you will need to set up your front page to use a static page instead of showing your latest blog posts. Check the %s page for more informations.', 'texas' ), '<a href="' . admin_url( 'options-reading.php' ) . '"><strong>' . __( 'Theme info', 'texas' ) . '</strong></a>' ),
  	'priority'			 => 10,
  	'active_callback'	 => array(
  		array(
  			'setting'	 => 'show_on_front',
  			'operator'	 => '!=',
  			'value'		 => 'page',
  		),
  	),
  ) );

// Homepage Layout   sortable 
  Kirki::add_field( 'texas_settings', array(
  	'type'		 => 'sortable',
  	'settings'	 => 'home_layout',
  	'label'		 => esc_attr__( 'Homepage Blocks', 'texas' ),
  	'section'	 => 'homepage_layout',
  	'help'		 => esc_attr__( 'Drag and Drop and enable the homepage blocks.', 'texas' ),
	'default'     => array(
			'slider',
			'blog',	
			'tool',
		),
  	'choices'	 => array(
		'slider'			 => esc_attr__( 'Slider', 'texas' ),
  		'blog'		 => esc_attr__( 'Blog Post', 'texas' ),	
  		'tool'		 => esc_attr__( 'Tool', 'texas' ),			
  	),
  	'priority'	 => 10,	
	
  ) );
  
  if ( !function_exists('texas_themes_pro')) {   
	Kirki::add_field( 'texas_settings', array(
		  'type'			 => 'custom',
		  'settings'		 => 'pro-features',
		  'label'			 => __( 'Texas PRO', 'texas' ),
		  'description'	 => __( 'Available in Texas PRO: Feature Section, Gallery Section, Service Section, Facts / Number Section, Our Team Section, Pricing Section, Testimonials Section, Clients Section,Contact Us Section,Download Section, Google Map, Custom Colors, Google Fonts, video(include Youtube) Backgrounds, Animations, Custom Footer Link and much more...', 'texas' ),
		  'section'		 => 'homepage_layout',
		  'default'		 => '<a class="install-now button-primary button" href="' . esc_url( 'https://www.coothemes.com/theme-texas/' ) . '" aria-label="Texas PRO" data-name="Texas PRO">' . __( 'Discover Texas PRO', 'texas' ) . '</a>',
		  'priority'		 => 10,
	  ) ); 
  }
	
  
//slider

  Kirki::add_field( 'texas_settings', array(
  	'type'		 => 'repeater',
  	'label'		 => __( 'Slider', 'texas' ),
  	'section'	 => 'slider_section',
  	'priority'	 => 10,
  	'settings'	 => 'repeater_slider',
    'sanitize_callback' => 'esc_attr',
	'default'     => texas_section_content_default('slider'),
  	'fields'	 => array(
  		'slider_image'	 => array(
  			'type'		 => 'image',
  			'label'		 => __( 'Image', 'texas' ),
  			'default'	 => '',
  		),
  		'slider_title'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'Title', 'texas' ),
  			'default'	 => '',
  		),
  		'slider_desc'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'Description', 'texas' ),
  			'default'	 => '',
  		),
  		'slider_button_text'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'Button Text', 'texas' ),
  			'default'	 => '',
  		),		
  		'slider_url'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'URL', 'texas' ),
  			'default'	 => esc_url( '#', 'texas' ),
  		),
  	),
	
    'row_label'			 => array(
  		'type'	 => 'text',
  		'value'	 => __( 'Slide', 'texas' ),
  	),
  ) ); 
  
 
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'color',
	'settings'    => 'slider_button_background',
	'label'       => __( 'Slider Button Background Color', 'texas' ),
	'section'     => 'slider_section',
	'default'     => '#0066ff',
	'priority'    => 10,
	'choices'     => array(
		'alpha' => true,
	),
	
  ) );  
 
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'number',
	'settings'    => 'slide_time',
	'label'       => esc_attr__( 'Slide Time', 'texas' ),
	'section'     => 'slider_section',
	'default'     => 5000,
	'choices'     => array(
		'min'  => 0,
		'max'  => 30000,
		'step' => 500,
	),
  ) );    
  
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'typography',
	'settings'    => 'slider_title_typography',
	'label'       => esc_attr__( 'Title Typography', 'texas' ),
	'section'     => 'slider_section',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => '100',
		'font-size'      => '56px',
		'color'          => '#ffffff',
		'text-transform' => 'Uppercase',
		'text-align'     => 'center'
	),
	'priority'    => 10,
	/*'output'      => array(
		array(
			'element' => '.ct_slider_warp .carousel-caption h1.slider_title',
		),
	),*/
  ) );

  Kirki::add_field( 'texas_settings', array(
	'type'        => 'typography',
	'settings'    => 'slider_description_typography',
	'label'       => esc_attr__( 'Description Typography', 'texas' ),
	'section'     => 'slider_section',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '20px',
		//'line-height'    => '1.5',
		//'letter-spacing' => '0',
		//'subsets'        => array( 'latin-ext' ),
		'color'          => '#ffffff',
		'text-transform' => 'none',
		'text-align'     => 'center'
	),
	'priority'    => 10,
	/*'output'      => array(
		array(
			'element' => '.ct_slider_warp .carousel-caption p.ct_slider_text',
		),
	),*/
  ) );



  Kirki::add_field( 'texas_settings', array(
	'type'        => 'typography',
	'settings'    => 'slider_button_typography',
	'label'       => esc_attr__( 'Button Text Typography', 'texas' ),
	'section'     => 'slider_section',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => '300',
		'font-size'      => '20px',
		'color'          => '#ffffff',
		'text-transform' => 'Uppercase',
		'text-align'     => 'center'
	),
	'priority'    => 10,
	/*'output'      => array(
		array(
			'element' => '.ct_slider .ct_slider_warp  a.btn',
		),
	),*/
  ) );  
  
//slider end


//==Sections base settings=====
  //$sections in inc.php
  $sections = texas_get_section_default();
  foreach ( $sections as $keys => $values ) {
 
  	Kirki::add_field( 'texas_settings', array(
  		'type'		 => 'text',
  		'settings'	 => $keys . '_section_title',
  		'label'		 => __( 'Section Title', 'texas' ),
        'sanitize_callback' => 'esc_attr',
  		'default'	 => $values[ 'title' ],
  		'section'	 => $keys . '_section',
  		'priority'	 => 10,
  	) );
	
  	Kirki::add_field( 'texas_settings', array(
  		'type'		 => 'textarea',
  		'settings'	 => $keys . '_section_description',
  		'label'		 => __( 'Section Description', 'texas' ),
        'sanitize_callback' => 'esc_attr',
  		'default'	 => $values[ 'description' ],
  		'section'	 => $keys . '_section',
  		'priority'	 => 10,
  	) ); 
 
  	Kirki::add_field( 'texas_settings', array(
  		'type'		 => 'text',
  		'settings'	 => $keys . '_section_menu_title',
  		'label'		 => __( 'Main Menu Title', 'texas' ),
  		'default'	 => $values[ 'menu' ],
  		'section'	 => $keys . '_section',
  		'priority'	 => 10,
  	) ); 
 
    //background_color
  	Kirki::add_field( 'texas_settings', array(
  		'type'		 => 'color',
  		'settings'	 => $keys . '_section_background_color',
  		'label'		 => __( 'Section Background Color', 'texas' ),
  		'section'	 => $keys . '_section',
  		'default'	 => $values[ 'color' ],
  		'priority'	 => 10,
  	) ); 
 
 
    //background_image
    Kirki::add_field( 'texas_settings', array(
    	'type'        => 'image',
    	'settings'    => $keys . '_section_background_image',
    	'label'       => __( 'Section Background Image', 'texas' ),
    	'section'	 => $keys . '_section',
    	'default'     => $values[ 'img' ],
    	'priority'    => 10,

    ) );
	
	//background_opacity
	Kirki::add_field( 'texas_settings', array(
		'type'        => 'slider',
		'settings'    => $keys . '_section_background_opacity',
		'label'       => __( 'Section Background Opacity', 'texas' ),
    	'section'	 => $keys . '_section',
		'default'     => 1,
		'choices'     => array(
			'min'  => '0',
			'max'  => '1',
			'step' => '0.1',
		),
	) );
	
	//padding
	Kirki::add_field( 'texas_settings', array(
		'type'        => 'spacing',
		'settings'	 => $keys . '_section_padding',
		'label'       => __( 'Section Padding Control', 'texas' ),
		'section'	 => $keys . '_section',
		'default'     => array(
			'top'    => $values[ 'padding_top' ],
			'bottom' => $values[ 'padding_bottom' ],
			'left'   => '0',
			'right'  => '0',
		),
		'priority'    => 10,
	) );


  	Kirki::add_field( 'texas_settings', array(
  		'type'			 => 'toggle',
  		'settings'		 => $keys . '_typography_setting_enable',
  		'label'			 => __( 'Title / Description Typography Setting', 'texas' ),
  		'description'	 => __( 'Enable or disable Title / Description Typography', 'texas' ),
  		'section'		 => $keys . '_section',
  		'default'		 => 0,
  		'priority'		 => 10,
  	) );
	
	//title_typography
	Kirki::add_field( 'texas_settings', array(
	  'type'        => 'typography',
	  'settings'    => $keys . '_title_typography',
	  'label'       => $keys . esc_attr__( ' Title Typography', 'texas' ),
  	  'section'	    => $keys . '_section',
	  'default'     => texas_get_default_title_font($keys),
	  'priority'    => 10,
	  'output'      => array(
		array(
			'element' => 'section.ct_'.$keys.' .section_title',
		),
	  ), 
	  'required'	 => array(
		  array(
			  'setting'	 => $keys . '_typography_setting_enable',
			  'operator'	 => '==',
			  'value'		 => 1,
		  ),
	  )	  
	  
	   
	  
	) );
  
    //description_typography
	Kirki::add_field( 'texas_settings', array(
	  'type'        => 'typography',
	  'settings'    => $keys . '_description_typography',
	  'label'       => $keys .esc_attr__( ' Description Typography', 'texas' ),
  	  'section'	    => $keys . '_section',
	  'default'     => texas_get_description_font($keys),
	  'priority'    => 10,
	  
	  
	  'output'      => array(
		array(
			'element' => 'section.ct_'.$keys.' .section_content,section.ct_'.$keys.' p',
		),
	  ),
	  
	  'required'	 => array(
		  array(
			  'setting'	 => $keys . '_typography_setting_enable',
			  'operator'	 => '==',
			  'value'		 => 1,
		  ),
	  )	  
	  	  
	  
	  
	) );

  }  
//==Sections base settings end=====  



//blog//,
  
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'select',
	'settings'    => 'blog_article_number',
	'label'			 => __( 'Displays the number of articles', 'texas' ),
	'section'     => 'blog_section',
	'default'     => '3',
	'priority'    => 10,

	'choices'     => array(
		'3' => 3,
		'6' => 6,
		'9' => 9,
		'12' => 12,
	),
  ) );  
  
  Kirki::add_field( 'texas_settings', array(
	  'type'		 => 'text',
	  'settings'	 => 'blog_url',
	  'label'		 => __( 'Blog URL', 'texas' ),
	  'default'	 => '',
	  'section'	 => 'blog_section',
	  'priority'	 => 10,
  ) );  
  
  Kirki::add_field( 'texas_settings', array(
	  'type'		 => 'text',
	  'settings'	 => 'blog_button_text',
	  'label'		 => __( 'Button Text', 'texas' ),
	  'default'	 => __( 'Read The Blog', 'texas' ),
	  'section'	 => 'blog_section',
	  'priority'	 => 10,
  ) );  
  
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'color',
	'settings'    => 'blog_button_color_hover',
	'label'       => __( 'Button Hover Background Color', 'texas' ),
	'section'     => 'blog_section',
	'default'     => '#0066ff',
	'priority'    => 10,

  ) );  
  
  
  // Pull all the categories into an array
  $options_categories = array();
  $options_categories_obj = get_categories();

  foreach ($options_categories_obj as $category) {
	$options_categories[$category->cat_name] = $category->cat_name;
  }			  
   
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'multicheck',
	'settings'    => 'blog_categories',
	'label'		  => __( 'The following categories are forbidden to appear on the homepage', 'texas' ),
	'section'     => 'blog_section',
	'default'     => '',
	'priority'    => 10,
	'choices'     => $options_categories,
	
	
  ) );    
   
  Kirki::add_field( 'texas_settings', array(
	'type'        => 'image',
	'settings'    => 'blog_feature_img',
	'label'       => __( 'Homepage Article Default Feature image', 'texas' ),
	'section'     => 'blog_section',
	'default'     => esc_url($imagepath.'default-thumbnail.jpg'),
	'priority'    => 10,
  ) );


//tool

  Kirki::add_field( 'texas_settings', array(
	  'type'		 => 'textarea',
	  'settings'	 => 'tool_1_description',
	  'label'		 => __( 'Tool 1 Description', 'texas' ),
	  'default'	     => __( 'Here is your site, or cut short description of the company. Here is your site, or cut short description of the company.', 'texas' ),
	  'section'	 => 'tool_section',
	  'priority'	 => 10,
  ) );


  Kirki::add_field( 'texas_settings', array(
	  'type'		 => 'text',
	  'settings'	 => 'tool_2_title',
	  'label'		 => __( 'Tool 2 Title', 'texas' ),
	  'default'	 => __( 'Contact Us', 'texas' ),
	  'section'	 => 'tool_section',
	  'priority'	 => 10,
  ) );


  Kirki::add_field( 'texas_settings', array(
  	'type'		 => 'repeater',
  	'label'		 => __( 'Tool 2 Information', 'texas' ),
  	'section'	 => 'tool_section',
  	'priority'	 => 10,
  	'settings'	 => 'repeater_tool_2',
    'sanitize_callback' => 'esc_attr',
	'description'	=> sprintf(__('Note: <br>Find fontawesome icon: <a href="%1$s" target="_blank">http://fontawesome.io/icons/</a>, Example: <a href="%2$s" target="_blank">http://fontawesome.io/examples/</a>', 'texas'),esc_url('http://fontawesome.io/icons/'),esc_url('http://fontawesome.io/examples/')),
	
	'default'     => texas_section_content_default('tool'),
  	'fields'	 => array(
  		'tool_2_icon'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'tool 2 Fontawesome Icon', 'texas' ),
  			'default'	 =>'',
  		),		


  		'tool_2_text'	 => array(
  			'type'		 => 'text',
  			'label'		 => __( 'Tool 2 Text', 'texas' ),
  			'default'	 =>'',
  		),	


  	),
	
    'row_label'			 => array(
  		'type'	 => 'text',
  		'value'	 => __( 'Tool 2 Contact Item', 'texas' ),
  	),
  ) );


  Kirki::add_field( 'texas_settings', array(
	  'type'		 => 'text',
	  'settings'	 => 'tool_3_title',
	  'label'		 => __( 'Tool 3 Title', 'texas' ),
	  'default'	 => __( 'Google Map', 'texas' ),
	  'section'	 => 'tool_section',
	  'priority'	 => 10,
  ) );

  Kirki::add_field( 'texas_settings', array(
	'type'        => 'code',
	'settings'    => 'tool_3_google_map_code',
	'label'       => __( 'Google Map Code', 'texas' ),
	'section'     => 'tool_section',
	'default'     => '',
	'priority'    => 10,
	'choices'     => array(
		'language' => 'html',
		'theme'    => 'texas',

	),
  ) );

//==========homepage end==========
  
/**
 * Configuration sample for the texas Customizer.
 */
function texas_configuration_sample() {

	$config[ 'color_back' ]		 = '#f3f3f3';
	$config[ 'color_accent' ]	 = '#008ec2';
	$config[ 'width' ]			 = '25%';

	return $config;
}

add_filter( 'kirki/config', 'texas_configuration_sample' );
